## compiz-fusion-plugins-main 0.7.6

=== CMakeLists.txt ===
project (compiz-fusion-plugins-main)

cmake_minimum_required (VERSION 2.4)

set (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include (cmake/addons.cmake)
include (cmake/CompizFusion.cmake)

get_version ()

set (CF_INSTALL_TYPE package)

set (CF_MIN_COMPIZ_VERSION ${VERSION})
set (CF_MIN_BCOP_VERSION ${VERSION})

set (CF_PLUGIN_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/include")
set (CF_PLUGIN_PKGCONFIG_DIR "${CMAKE_CURRENT_SOURCE_DIR}")
set (CF_PLUGIN_XML_DIR "${CMAKE_CURRENT_SOURCE_DIR}/metadata")
set (CF_PLUGIN_I18N_DIR "${CMAKE_CURRENT_SOURCE_DIR}/po")

compiz_fusion_add_uninstall ()
cf_add_plugins (src)
cf_install_plugin_data_files (images)
cf_install_plugin_data_files (data)
cf_print_plugin_configure_results (src)

cf_add_package_generation ("Compiz Fusion Plugins Main")

=== src/bs/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (bs)

=== src/expo/CMakeLists.txt ===
include (FindOpenGL)
include (CompizFusion)

if (OPENGL_GLU_FOUND)
    compiz_fusion_plugin (expo LIBRARIES ${OPENGL_glu_LIBRARY} INCDIRS ${OPENGL_INCLUDE_DIR})
endif (OPENGL_GLU_FOUND)

=== src/ezoom/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (ezoom)

=== src/ring/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (ring PLUGINDEPS text)

=== src/shift/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (shift PLUGINDEPS text)

=== src/staticswitcher/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (staticswitcher)

=== src/thumbnail/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (thumbnail PLUGINDEPS text)

=== src/winrules/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (winrules)

## compiz-fusion-plugins-main 0.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-project (compiz-fusion-plugins-main)
+project (compiz-plugins-main)
 
 cmake_minimum_required (VERSION 2.4)
 
@@ -24,4 +24,4 @@
 cf_install_plugin_data_files (data)
 cf_print_plugin_configure_results (src)
 
-cf_add_package_generation ("Compiz Fusion Plugins Main")
+cf_add_package_generation ("Compiz Plugins Main")

=== src/put/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (put)

=== src/wall/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (wall PKGDEPS cairo cairo-xlib-xrender)

=== src/workarounds/CMakeLists.txt ===
include (CompizFusion)

compiz_fusion_plugin (workarounds)

## compiz-fusion-plugins-main 0.8.14

=== debian/changelog ===
compiz-fusion-plugins-main (2:0.8.14-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 07 Sep 2017 15:16:41 -0700

compiz-fusion-plugins-main (2:0.8.14-0mx15+1) mx; urgency=medium

  * New upstream release.
    - Improved staticswitcher
    - Added more colorfilters
    - Updated catalan translation

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Jun 2017 10:33:05 -0700

compiz-fusion-plugins-main (2:0.8.12.1-0mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Add epoch to upgrade over older version in our repo.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 Mar 2017 13:39:37 -0700

compiz-fusion-plugins-main (0.8.12.1-0~jessie1) jessie; urgency=low

  * New upstream release.
    - forked on Github : Compiz Reloaded
  * Switch to format 3.0 (quilt).
  * Update compat and rules for debhelper 9.
  * Bump standards to version 3.9.6.
  * Change Priority to optional.
  * Update copyright to format 1.0 and Homepage link.
  * Drop libgconf-dev on build-depends.

 -- Jof Thibaut <compiz@tuxfamily.org>  Wed, 02 Mar 2016 23:16:37 +0100

compiz-fusion-plugins-main (0.8.4-2) unstable; urgency=low

  * Add Vcs-* headers.
  * Tighten dependencies on compiz-core:
     - Add ${compizcore:Depends} to Depends.
     - Use dpkg-query to extract the name of the package provided by
       compiz-core (e.g. compiz-core-abiversion-20090619), and use it in
       dh_gencontrol.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 24 Mar 2010 00:12:24 +0100

compiz-fusion-plugins-main (0.8.4-1) unstable; urgency=low

  * New upstream release.
    - Fixes crash with empty titles and thumbnail previews (Closes: #561565).
      Thanks: Klaus Knopper
  * Update Build-Depends against compiz-dev to >= 0.8.4 for ABI bump.
  * Remove nvidia-workaround.patch, incorporated upstream.
  * Import 10-fix_plasma_previews.patch from ubuntu

 -- Sean Finney <seanius@debian.org>  Thu, 11 Feb 2010 21:56:57 +0100

compiz-fusion-plugins-main (0.8.2-3) unstable; urgency=low

  * bump build-dep on libdecoration, as there was a reverted API break.

 -- Sean Finney <seanius@debian.org>  Sat, 11 Apr 2009 19:27:52 +0200

compiz-fusion-plugins-main (0.8.2-2) unstable; urgency=low

  * update versioned build-deps for compiz packages to >= 0.8.2 
    (Closes: #522990)
  * add build-dep on quilt
  * new patch: nvidia-workaround.patch for redraw issue with nvidia
    cards. (Closes: #519729) 
    - thanks to Alex Goebel and Dmitriy Trt.

 -- Sean Finney <seanius@debian.org>  Sat, 11 Apr 2009 16:03:34 +0200

compiz-fusion-plugins-main (0.8.2-1) unstable; urgency=low

  * New upstream release
  * update Standards-Version to 3.8.1
  * add gbp.conf for use with git-buildpackage

 -- Sean Finney <seanius@debian.org>  Mon, 06 Apr 2009 23:03:15 +0200

compiz-fusion-plugins-main (0.7.6-1) unstable; urgency=low

  * New upstream release.

 -- Sean Finney <seanius@debian.org>  Tue, 03 Jun 2008 00:52:04 +0200

compiz-fusion-plugins-main (0.7.4-2) unstable; urgency=low

  * Make sure to install the pkgconfig .pc files used when building the
    other plugins packages (closes: #478423).  Thanks to Tarek Soliman
    for reporting this.
  * Grammar fix in package description, thanks to Reuben Thomas for
    reporting this (closes: #463599).

 -- Sean Finney <seanius@debian.org>  Sun, 25 May 2008 18:51:07 +0200

compiz-fusion-plugins-main (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * Bump build-depends on bcop and compiz-dev to >= 0.7.3.
  * Include new png images.

 -- Sean Finney <seanius@debian.org>  Mon, 19 May 2008 19:31:39 +0200

compiz-fusion-plugins-main (0.6.0-5) unstable; urgency=low

  [Emilio Scalise]
  * Added missing build-depends on: libcairo2-dev, libpango1.0-dev,
    librsvg2-dev, libsm-dev, libdbus-1-dev, libdecoration0-dev
    (closes: #456380).

 -- Sean Finney <seanius@debian.org>  Fri, 21 Dec 2007 20:58:27 +0100

compiz-fusion-plugins-main (0.6.0-4) unstable; urgency=low

  * FTBFS: add Build-Depends: automake1.9 (closes: #453194).

 -- Sean Finney <seanius@debian.org>  Sat, 01 Dec 2007 15:14:23 +0100

compiz-fusion-plugins-main (0.6.0-3) unstable; urgency=low

  * Remove autofoo generated content and create/remove it as part of the
    standard build process instead.
  * FTBFS: add the following to Build-Depends: autoconf, compiz-fusion-bcop, 
    libgconf2-dev, libglib2.0-dev, libglu1-mesa-dev, libjpeg62-dev, libtool, 
    libxml2-dev, libxslt1-dev

 -- Sean Finney <seanius@debian.org>  Tue, 20 Nov 2007 20:29:29 +0100

compiz-fusion-plugins-main (0.6.0-2) unstable; urgency=low

  * make sure the package provides the text.h header file, which is needed
    by compiz-fusion-plugins-extra

 -- Sean Finney <seanius@debian.org>  Sat, 10 Nov 2007 10:49:11 +0100

compiz-fusion-plugins-main (0.6.0-1) unstable; urgency=low

  * Initial release (Closes: #431755).

 -- Sean Finney <seanius@debian.org>  Fri, 09 Nov 2007 18:56:43 +0100

=== debian/control ===
Source: compiz-fusion-plugins-main
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jof Thibaut <compiz@tuxfamily.org>
Build-Depends: dh-autoreconf,
               compiz-dev (>= 0.8.14-0~),
               compiz-fusion-bcop (>= 0.8.14-0~),
               debhelper (>= 9),
               intltool,
               libcairo2-dev,
               libglib2.0-dev,
               libdecoration0-dev (>= 0.8.14-0~),
               libglu1-mesa-dev,
               libjpeg-dev,
               libpango1.0-dev,
               librsvg2-dev,
               libsm-dev,
               libxml2-dev,
               libxslt1-dev,
               pkg-config,
               xsltproc
Standards-Version: 3.9.6
Homepage: https://github.com/compiz-reloaded/compiz-plugins-main

Package: compiz-fusion-plugins-main
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${compizcore:Depends}
Description: Compiz Fusion plugins - main collection
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivaled usefulness.
 .
 This package provides the primary and most well tested set of plugins
 from the compiz-fusion project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with autoreconf --parallel

# Detect which package is provided by compiz-core:
COMPIZCORE_DEPENDS := $(shell dpkg-query --showformat='$${Provides}\n' -W compiz-core)

override_dh_auto_configure:
	intltoolize --copy --force --automake
	dh_auto_configure -- --disable-static --libdir=/usr/lib

override_dh_install:
# remove unneeded .la files
	find $(CURDIR)/debian -type f -name '*.la' -print0 | xargs -0 rm -f
	dh_install

override_dh_gencontrol:
	dh_gencontrol -- -Vcompizcore:Depends=$(COMPIZCORE_DEPENDS)

override_dh_shlibdeps:
	dh_shlibdeps --	-xvirtualbox-guest-x11

## compiz-fusion-plugins-main 0.9.2.1+git20110224.g4a6783f

=== debian/changelog ===
compiz-fusion-plugins-main (0.9.2.1+git20110224.g4a6783f-2) experimental; urgency=low

  * Fix FTBFS by adding Build-Dep on libglibmm-2.4-dev

 -- Sean Finney <seanius@debian.org>  Fri, 04 Mar 2011 22:35:10 +0000

compiz-fusion-plugins-main (0.9.2.1+git20110224.g4a6783f-1) experimental; urgency=low

  [ Janos Guljas ]
  * New upstream release.
  * Bump standards to 3.9.1.
  * Switch to dpkg format 3.0 (quilt)
  * Rewrite debian/rules to use debhelper 7.
  * Removed debian/install file.
  * Updated debian/watch file.
  * Synchronize ubuntu patches from 0.9.2.1-0ubuntu2.
    * 06_bug326995.patch
      - Change default reflection scale value from 0.75 to 1.0.
        Anything else is unphysical
    * 08_disable_desktop_vpswitch.patch
      - Disable switching between desktop with mousewheel over desktop
        background as this option is too easily launched by mistake

  [ Sean Finney ]
  * commit standard local-options for compiz packages
  * Update copyright info in debian/copyright

 -- Sean Finney <seanius@debian.org>  Fri, 04 Mar 2011 07:02:19 +0000

compiz-fusion-plugins-main (0.8.4-3) UNRELEASED; urgency=low

  * Add Homepage field.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 24 Mar 2010 01:52:40 +0100

=== debian/control ===
Source: compiz-fusion-plugins-main
Priority: extra
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Sean Finney <seanius@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, xsltproc,
 compiz-dev (>= 0.9.0), libdecoration0-dev (>= 0.9.0), pkg-config,
 libgconf2-dev, libglib2.0-dev, 
 libglibmm-2.4-dev,
 libglu1-mesa-dev, libjpeg62-dev, libxml2-dev,
 libxslt1-dev, libcairo2-dev, libpango1.0-dev, librsvg2-dev, libsm-dev,
 libdbus-1-dev, libboost1.42-dev, libboost-serialization1.42-dev
Standards-Version: 3.9.1
Section: x11
Vcs-Git: git://git.debian.org/git/pkg-xorg/bling/compiz-fusion-plugins-main.git
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/bling/compiz-fusion-plugins-main.git
Homepage: http://wiki.compiz.org/PluginsMain

Package: compiz-fusion-plugins-main
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${compizcore:Depends}
Breaks: compiz-core (<< 0.9.0)
Description: Compiz Fusion plugins - main collection
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness.
 .
 This package provides the primary and most well tested set of plugins
 from the compiz-fusion project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' /usr/include/compiz/core/core.h )

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_PLUGIN_INSTALL_TYPE=package

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

=== debian/watch ===
version=3
http://releases.compiz.org/([\d\.]+)[\d]/ compiz-plugins-main-([\d\.]+)\.tar\.gz
